Subject: bug#20733: coreutils build problem

From: Michael Felt <[email-masked]>
Date: Sat, 6 Jun 2015 18:45:17 +0200

So, if it is intentional - then it is working as designed (you may want to
add a check for gmake then), otherwise - the way "non-gnu make(s)" handle
the '[' character "break things".

Now, running /opt/bin/make (to be sure!) at the pain point I see:

  GEN      man/sum.1
  GEN      man/sync.1
  GEN      man/tac.1
  GEN      man/tail.1
  GEN      man/tee.1
  GEN      man/test.1
  GEN      man/timeout.1
  GEN      man/touch.1
  GEN      man/tr.1
  GEN      man/true.1
(Note: GEN man/test.1 is suppossed to be visible as white text with a blue
background - just in case)

I, personally, am happy enough that I can run the configure command without
gmake being installed (as that also requires gnu.gettext to be loaded and I
am trying to avoid an unneeded dependency on gettext. I want to be
specifically aware of the dependencies. And as often as it requires I will
just build in phases.)

Many thanks again.

On Sat, Jun 6, 2015 at 6:32 PM, Michael Felt <[email-masked]> wrote:

> I downloaded, unpacked, ran configure and then "make -i". The only thing
> notable is still the problem with the man page for 'test' aka '['
> (right_bracket)
>
>   GEN      man/test.1
> help2man: can't get `--help' info from man/test.td/[ <http://test.td/%5B>
> Try `--no-discard-stderr' if option outputs to stderr
> make: 1254-004 The error code from the last command is 127.
> make: 1254-005 Ignored error code 127 from last command.
>
>  I will try again with gmake - that may be the 'telling' difference
> between the two systems.
>
>
> On Sat, Jun 6, 2015 at 9:51 AM, Paul Eggert <[email-masked]> wrote:
>
>> I installed the attached further patches to gnulib and to coreutils,
>> respectively.  Could you please try:
>>
>> http://www.cs.ucla.edu/~eggert/coreutils-8.23.212-d8a5.tar.xz
>>
>
>